#!/bin/bash

USAGE="Usage : `basename $0` MODULE(SAP or COMPO) \"list_of_files\""

if [ $# -ne 2 ]; then
  echo $USAGE
  exit 1
fi

MODULE=$1
LISTOFFILES=$2

cat << ENDHEADER
*----
*  Contrat EDF/EPM
*  Nom          : catenate.x2m
*  Type         : fichier DRAGON
*  Auteur       : $0
*  Date         : `date +%y/%m/%d` at `date +%H:%M:%S`
*
MODULE
  $MODULE: END: DELETE:                                                  ;
XSM_FILE
  LL_SNOWBALL                                                          ;

ECHO "don't forget to give the directory of your XSM_FILEs" ;
ECHO "to your Dragon run script" ;

ENDHEADER

LIST=`ls $LISTOFFILES`

i=0

for file in $LIST
do
  i=`echo "$i + 1" | bc`
  ln -sf $file $MODULE$i
  if [ $i -gt 1 ]; then
    cat << END
* catenating file `basename $(dirname $file)`/`basename $file`
XSM_FILE $MODULE$i ;
LL_SNOWBALL := $MODULE: LL_SNOWBALL $MODULE$i ::
  EDIT 100
  WARNING-ONLY
;
END
  else
    cat << END
XSM_FILE $MODULE$i ;
LL_SNOWBALL := $MODULE$i :: ;
END
  fi
done

cat << TAIL
END: ;
QUIT .
TAIL
